<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2013 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * AutoTweetDispatcher
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetDispatcher extends FOFDispatcher
{
	public $defaultView = 'cpanels';

	/**
	 * onBeforeDispatch.
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onBeforeDispatch()
	{
		$result = parent::onBeforeDispatch();

		if (($result) && (!FOFPlatform::getInstance()->isCli()))
		{
			Extly::loadStyle();
			JHtml::stylesheet('com_autotweet/style.css', false, true);
		}

		return $result;
	}
}
