<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2013 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * AutotweetControllerChannels
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
*/
class AutotweetControllerSef extends FOFController
{
	/**
	 * getSefRouter.
	 *
	 * @return	void
	 */
	public function route()
	{
		header('Content-type: text/plain');

		$url = $this->input->get('url', 'index.php', 'string');

		@ob_end_clean();
		echo JRoute::_($url, false);
		flush();

		JFactory::getApplication()->close();
	}
}
