<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

if (!defined('EXTLY_VERSION'))
{
	/**
	 * @name EXTLY_VERSION
	 */
	define('EXTLY_VERSION', '1.0.0');

	defined('DS') || define('DS', DIRECTORY_SEPARATOR);
	defined('EPATH_LIBRARY') || define('EPATH_LIBRARY', JPATH_LIBRARIES . '/extly');
	defined('EJSON_START') || define('EJSON_START', '@EXTLYSTART@');
	defined('EJSON_END') || define('EJSON_END', '@EXTLYEND@');
}

JLoader::register('Extly', EPATH_LIBRARY . '/core/extly.php');
JLoader::register('ETable', EPATH_LIBRARY . '/core/etable.php');
JLoader::register('ELog', EPATH_LIBRARY . '/core/elog.php');
JLoader::register('EParameter', EPATH_LIBRARY . '/core/eparameter.php');

JLoader::register('EForm', EPATH_LIBRARY . '/form/eform.php');

JLoader::register('EHtmlGrid', EPATH_LIBRARY . '/html/egrid.php');
JLoader::register('EHtml', EPATH_LIBRARY . '/html/ehtml.php');
JLoader::register('EHtmlFormbehavior', EPATH_LIBRARY . '/html/formbehavior.php');
JLoader::register('EHtmlSelect', EPATH_LIBRARY . '/html/html/eselect.php');

/**
 * This is the base class for the Extlyframework.
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
 */
class Extlyframework
{
}
