/**
 * @package Extly.Library
 * @subpackage lib_extly - Extly Framework
 * 
 * @author Prieco S.A. <support@extly.com>
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

define([], function() {

	var ExtlyModel = Backbone.Model.extend({

		parse : function(resp, options) {
			var body = resp.split(/@EXTLYSTART@|@EXTLYEND@/);
			if (body.length === 3) {
				return JSON.parse(body[1]);
			} else {
				return {
					status : false,
					message : resp
				};
			}
		}

	});

	var UiHelper = {

	};

	return {
		ExtlyModel : ExtlyModel,

		UiHelper : UiHelper,

		// What is the enter key constant?
		ENTER_KEY : 13
	};

});
